Get Page
Endpoint to get all Webhooks
Authorized Roles : PROVIDER or ORG_ADMIN or ORG_USER
Request
URI
GET
https://{api_host}/provider/webhooks
COPY
Query Parameters
boolean
webhook-settings
Required
Hide/show email settings
integer
page
Optional
Zero-based page index (0..N)
integer
size
Optional
The size of the page to be returned
string of
array
sort
Optional
Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.
Responses
200
OK
Returns
PagedModelBasicWebhookDto
of type(s)
application/vnd.vmware.dms-v1+json
{
"links": [
{
"rel": "string",
"href": "string",
"hreflang": "string",
"media": "string",
"title": "string",
"type": "string",
"deprecation": "string",
"profile": "string",
"name": "string"
}
],
"content": [
{
"id": "string",
"name": "string",
"url": "string",
"endpointType": "string",
"status": "string",
"createdByUserEmail": "string",
"lastModifiedTime": "string",
"lastModifiedUserEmail": "string",
"orgId": "string",
"dbCount": 0,
"links": [
{
"rel": "string",
"href": "string",
"hreflang": "string",
"media": "string",
"title": "string",
"type": "string",
"deprecation": "string",
"profile": "string",
"name": "string"
}
]
}
],
"page": {
"size": 0,
"totalElements": 0,
"totalPages": 0,
"number": 0
}
}
400
Bad Request
Operation doesn't return any data structure